GameLevel = Class {}

function GameLevel:init(objects)
    self.objects = objects
end

function GameLevel:clear()
    for i = #self.objects, 1, -1 do
        if not self.objects[i] then
            table.remove(self.objects, i)
        end
    end
end

function GameLevel:update(dt)
    for k, object in pairs(self.objects) do
        object:update(dt)
    end
end

function GameLevel:render()
    for k, object in pairs(self.objects) do
        object:render()
    end
end
