

Map = Class{}
local SCROLL_SPEED = 60



tile_brick = 1

tile_empty = -1





function Map:init()
    self.spritesheet = love.graphics.newImage('graphics/tile.png')
    self.tile_Width = TILE_SIZE
    self.tile_Height = TILE_SIZE
    
   
    self.mapWidth = 150
    self.mapHeight = 28
    self.tiles = {}
    self.player = Player(self)
    self.camX = 0
    self.camY = -3

    self.mapWidthPixel = self.mapWidth * self.tile_Width
    self.mapHeightPixel = self.mapHeight * self.tile_Height
    
    self.tile_sprite = generateQuads(self.spritesheet, self.tile_Width, self.tile_Height)
    for y = 1, self.mapHeight do
        for x = 1, self.mapWidth do
            self:setTile(x, y, tile_empty )
        end
    end

    for y = self.mapHeight - 17, self.mapHeight  do
        for x = 1, self.mapWidth  do
            self:setTile(x, y, tile_brick)
        end
    end
    for x = 2, self.mapWidth do
        if math.random(8) == 1 then
            for y = 8, self.mapHeight do

                self:setTile(x, y, tile_brick) 
                
                
            end
            
        end
    end
    for x = 1, self.mapWidth do
        if math.random(10) == 1 then
            for y = 7, self.mapHeight do
                self:setTile(x, y, tile_empty)

            end
        end
    end
end

function Map:update(dt)
 
    self.player:update(dt)
    self.camX = math.max(0, math.min(self.player.x - VIRTUAL_WIDTH / 2,
        math.min(self.mapWidthPixel - VIRTUAL_WIDTH, self.player.x)))
end



function Map:getTile(x, y)
    return self.tiles[(y - 1) * self.mapWidth + x]
end

function Map:setTile(x, y, tile)
    self.tiles[(y - 1) * self.mapWidth + x] = tile
end

function Map:render()
    self.player:render()
    for y = 1, self.mapHeight do
        for x = 1, self.mapWidth do
            if self:getTile(x, y) ~= tile_empty then
                love.graphics.draw(self.spritesheet, self.tile_sprite[self:getTile(x, y)],
                    (x - 1) * self.tile_Width, (y - 1) * self.tile_Height)
            end
        end
    end


end

